import javax.swing.JFrame;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import java.awt.Graphics;
import java.awt.Point;
import java.util.*;

public class DotFrame3 extends JFrame {
    
    private java.util.List<Point> myDots;
        
    public DotFrame3(){
        myDots = new ArrayList<Point>();
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setSize(400, 400);
        setTitle("DotFrame");
        this.addMouseListener(
            new MouseAdapter(){
                public void mouseClicked(MouseEvent e){
                    drawDot( e.getX(), e.getY() );
                }
            });
        setVisible(true);
        setAlwaysOnTop(true);
        setAlwaysOnTop(false);
    }

    
    private void drawDot(int x, int y){
        getGraphics().fillOval(x-5, y-5,10,10);
        Point p = new Point(x,y);
        myDots.add( p );
    }

    public void paint(Graphics g){
        g.setColor(java.awt.Color.BLUE);
        for(Point p: myDots)
           g.fillOval(p.x-5, p.y-5,10,10);
    }
    
    /*
    public void paint(Graphics g){
        g.setColor(java.awt.Color.BLUE);
        for(Point p: myDots)
            if (g.hitClip(p.x-5, p.y-5,10,10) ){
                g.setColor(java.awt.Color.RED);
                g.fillOval(p.x-5, p.y-5,10,10);
                g.setColor(java.awt.Color.BLUE);
            }
    }
    */
}