import javax.swing.JFrame;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

public class DotFrame extends JFrame {
    
    public DotFrame(){
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setSize(400, 400);
        setTitle("DotFrame");
        this.addMouseListener(
            new MouseAdapter(){
                public void mouseClicked(MouseEvent e){
                    drawDot( e.getX(), e.getY() );
                }
            });
        setVisible(true);
        setAlwaysOnTop(true);
        setAlwaysOnTop(false);
    }
    
    private void drawDot(int x, int y){
        getGraphics().fillOval(x-5, y-5,10,10);
    }
        
}