import java.awt.*;
import java.awt.event.*;
import java.text.*;

import javax.swing.*;
import javax.swing.event.*;
import javax.swing.table.*;

class MyWindow extends JFrame {

	MyWindow(){
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setSize(700, 400);
		setTitle("ListExample");

		final SelectingList students = new SelectingList(OOPStudent.students);
		this.getContentPane().add( students, "West");

		final OOPStudentDelegate sd = new OOPStudentDelegate();
		getContentPane().add( (Component)sd, "Center");

		students.addListener( new SelectingList.Listener(){
			public void selectionChanged(SelectingList.Listener.Event ev){
				if (ev.getSelection() == null)
					sd.setModel(null);
				else
					sd.setModel ( (OOPStudent)ev.getSelection() );
			}});

		setVisible(true);
	}
}

