import java.util.Observable;

public class OOPStudent extends Observable{
	private String name;
	private String email;
	private String programme;
	private String start;

	OOPStudent(String name, String email, String programme, String start){
		this.name = name;
		this.email = email;
		this.programme = programme;
		this.start = start;
	}

	private void notify(String subject){
		setChanged();
		notifyObservers(subject);
	}

	public String getName(){ return name; }
	public String getEmail(){ return email; }
	public String getProgramme(){ return programme; }
	public String getStart(){ return start; }

	public void setName(String s){ name = s; notify("name");}
	public void setEmail(String s){ email = s; notify("email");}
	public void setProgramme(String s){ programme = s; notify("progamme");}
	public void setStart(String s){ start = s; notify("start");}

	public String toString(){return name;}

	String fullString(){return name +
		" email: " + email +
		" programme: " + programme +
		" start: " + start;
	}

	public static OOPStudent[] students = {
		new OOPStudent("Ai Zhu", "joannaza", "K-MMT", "E2003"),
		new OOPStudent("Archard Kalumuna Buberwa", "arb", "K-INT", "F2003"),
		new OOPStudent("Bjarne Damgaard Pedersen", "bdp", "D-IT", "E2003"),
		new OOPStudent("Brigitte S Kammersgaard-Andersen", "bska", "K-SWU", "E2003"),
		new OOPStudent("Cenap Inci", "cenap", "K-INT", "E2003"),
		new OOPStudent("Dan Arildsen", "danarilds", "D-IT", "F2003"),
		new OOPStudent("Danny Mortensen", "damo", "K-SWU", "E2003"),
		new OOPStudent("Haseeb Ullah Bangash", "bangash", "K-INT", "F2003"),
		new OOPStudent("Henrik Bie", "henrikbie", "K-SWU", "E2003"),
		new OOPStudent("Jacob Friis Mathiasen", "jfm", "K-DKM", "E2002"),
		new OOPStudent("Janaki Rami Reddy Samanthula", "jasae03", "K-MMT", "E2003"),
		new OOPStudent("Jens Lind", "jlind", "K-SWU", "F2002"),
		new OOPStudent("Jeppe Heilmann Risum", "jeppe", "K-DKM", "E2000"),
		new OOPStudent("John Udo Ukpo", "juu", "K-SWU", "F2000"),
		new OOPStudent("Junko Tomita", "stud3055", "K-MMT", "E2003"),
		new OOPStudent("Karin Agerbk Jensen", "karinagerbaek", "K-SWU", "E2003"),
		new OOPStudent("Kasper Svenstrup Kock", "kock", "K-INT", "F2001"),
		new OOPStudent("Louise Kjr Brun Pedersen", "lope", "K-SWU", "E2003"),
		new OOPStudent("Mahmud Yaqubi", "may", "TOM", "E2003"),
		new OOPStudent("Martin Krn Mlvig", "martinm", "M-SWU", "E2003"),
		new OOPStudent("Michael Lund", "mlund", "K-MMT", "F2001"),
		new OOPStudent("Nils Georg Rydh", "nils", "K-SWU", "E2003"),
		new OOPStudent("Salai Sang Hmung Thianhlun", "ssht", "K-INT", "F2000"),
		new OOPStudent("Sebastien Inizan", "sebinizan", "K-INT", "F2003"),
		new OOPStudent("Simon Christian Harpth Kofod", "sko", "K-SWU", "F2004"),
		new OOPStudent("Thomas Stuart Henney", "tsh", "K-INT", "F2004"),
		new OOPStudent("Viktoria Kuzina", "victoria", "K-INT", "F2003"),
		new OOPStudent("Xijie Lu", "xilue03", "K-MMT", "E2003"),
		new OOPStudent("Yongqiang Lu", "dklyq", "K-INT", "E2003"),
		new OOPStudent("Yuan Mang", "yuan", "EM", "F2004"),
		new OOPStudent("Zulfiqar Hyder", "zulfi", "K-MMT", "F2003"),
		new OOPStudent("Abid Hanif", "abidhanif", "K-MMT", "F2003"),
		new OOPStudent("Claus Heegaard Poulsen", "clausp", "D-IT", "F2004"),
		new OOPStudent("Erik Edmund Witsolt Rasmussen", "erra745", "TOM", "E2003"),
		new OOPStudent("Johannes Mller", "jomu", "TOM", "F2004"),
		new OOPStudent("Joyce Lusunike", "joyce", "K-MMT", "F2002"),
		new OOPStudent("Lars Strange", "strange", "TOM", "F2004"),
		new OOPStudent("Lene Ann Rasmussen", "lar", "M-SWU", "E2003"),
		new OOPStudent("Lone Reinevald Broch", "lonebroch", "M-SWU", "F2004"),
		new OOPStudent("Marianne Jenny Bengtson", "mjb", "ENK", "F2004"),
		new OOPStudent("Martin Faber-Rod Munch", "mmc", "K-INT", "E2002"),
		new OOPStudent("Nikolaj Drumm", "drumm", "M-SWU", "E2003"),
		new OOPStudent("Raghava Rao Mukkamala", "rao", "K-INT", "F2003"),
		new OOPStudent("Ren Jeanty Jensen", "jeanty", "TOM", "F2004"),
		new OOPStudent("Rupa Gadiraju", "stud3392", "K-INT", "E2002"),
		new OOPStudent("Thomas Andersen", "tan", "M-SWU", "E2002"),
		new OOPStudent("Tonny C Holdorf Petersen", "tonny", "M-SWU", "F2003"),
		new OOPStudent("Torben Mgelmose", "tmo", "TOM", "E2003")};
}